<template>
  <div >
      <input type="text" class="todo-input" placeholder="Unijeti stvari u listu" v-model="NewTodo" @keyup.enter="addTodo">
    Lista pocinje odavde
    <div v-for="todo in todos" :key="todo.id" class="todo-for">
        {{todo.title}}
    </div>
  </div>
</template>

<script>
export default {
  name: 'todo-list',
  data () {
    return {
      NewTodo: '',
      todos:[
        {
          'id':1,
          'title': 'Pravljenje ToDo liste',
          'completed': false,
      },
    {
          'id':2,
          'title': 'Proba test',
          'completed': false,
      }
      ]
    }
  },
  methods:{
    addTodo(){ alert(message,any); void
    alert('adding')

    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style  >
.todo-input{
    width: 100%;
    padding: 10px 15px;
    margin-bottom: 20px;
    font-size: 18px;

}
.todo-for{
  align-content: left;
}
</style>
